classification
Title: importlib.metadata docs not showing up in the module index
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, brett.cannon, docs@python, fdrake, hroncok, jaraco, miss-islington, xtreak
Priority: normal Keywords: patch

Created on 2019-08-01 18:47 by brett.cannon, last changed 2021-06-27 22:05 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15153 merged barry, 2019-08-06 22:44
PR 15154 merged miss-islington, 2019-08-07 01:36
PR 25415 merged jaraco, 2021-04-14 23:29
PR 25417 merged miss-islington, 2021-04-15 00:57
PR 25418 merged miss-islington, 2021-04-15 00:58
PR 26500 merged jaraco, 2021-06-03 00:31
Messages (16)
msg348872 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-08-01 18:47
If you look at https://docs.python.org/3.9/py-modindex.html#cap-i you will see that importlib.metadata isn't listed (same goes for the 3.8 docs).

Or are you leaving it out due to it being provisional?
msg348874 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2019-08-01 19:51
Provisional status should not cause a module or other API element to be omitted from the indexes.  So long as it's marked provisional where it's described, it should be locatable.
msg349060 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-08-05 17:25
There's an importlib.metadata.rst file which describes how to use the API, but that doesn't appear to be linked from either the main library ToC or the importlib documentation itself.  I'll see if I can put together a PR to fix this.
msg349062 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-08-05 18:21
Including a module directive with synopsis as below in importlib.metadata.rst seems to fix this. It would also be good to include a link to source code from the importlib.metadata docs page since it's written in Python.

.. module:: importlib.metadata
   :synopsis: The implementation of the importlib metadata.

**Source code:** :source:`Lib/importlib/metadata/__init__.py`
msg349063 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-08-05 18:25
@jaraco - Why is the code in `Lib/importlib/metadata/__init__.py` instead of `Lib/importlib/metadata.py`?  Is that to make it easier to port between CPython stdlib and the standalone version?
msg349090 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-08-05 23:20
> Why is the code in `Lib/importlib/metadata/__init__.py`

Mainly because originally, the code was in multiple modules. I'm happy for it to move into a single file module.
msg349134 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-08-06 21:07
If there's no porting benefit then let's move it to a single module instead of a package.
msg349137 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-08-06 22:04
I’ll do a PR for that too.

> On Aug 6, 2019, at 14:07, Brett Cannon <report@bugs.python.org> wrote:
> 
> 
> Brett Cannon <brett@python.org> added the comment:
> 
> If there's no porting benefit then let's move it to a single module instead of a package.
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue37741>
> _______________________________________
msg388729 - (view) Author: Miro Hrončok (hroncok) * Date: 2021-03-15 12:04
The docs at https://docs.python.org/3/library/importlib.metadata.html also don't list the API at all, it is just a tutorial, not a reference. I see the code has docstrings, but they are missing from the docs. E.g. PackageNotFoundError is not documented at all.
msg391097 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-04-14 20:45
Are you still planning to fix this, Barry?
msg391102 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2021-04-14 21:25
I'd still like to.  I'm also happy to review any PRs if someone beats me to it.
msg391115 - (view) Author: miss-islington (miss-islington) Date: 2021-04-15 00:56
New changeset 23acadcc1c75eb74b2459304af70d97a35001b34 by Jason R. Coombs in branch 'master':
bpo-37741: make importlib.metadata docs discoverable through a module directive. (GH-25415)
https://github.com/python/cpython/commit/23acadcc1c75eb74b2459304af70d97a35001b34
msg391116 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2021-04-15 00:59
@jaraco beat me to it.  PRs approved!
msg391117 - (view) Author: miss-islington (miss-islington) Date: 2021-04-15 01:08
New changeset a746fceb7548e92f58037d9f90b5468bdc76889d by Miss Islington (bot) in branch '3.8':
bpo-37741: make importlib.metadata docs discoverable through a module directive. (GH-25415)
https://github.com/python/cpython/commit/a746fceb7548e92f58037d9f90b5468bdc76889d
msg393975 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-05-19 21:07
New changeset ab1c3d99f51188d1a6b5f7797294b056279f62e0 by Miss Islington (bot) in branch '3.9':
bpo-37741: make importlib.metadata docs discoverable through a module directive. (GH-25415) (GH-25417)
https://github.com/python/cpython/commit/ab1c3d99f51188d1a6b5f7797294b056279f62e0
msg396607 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-06-27 22:05
New changeset 17b916737bd05a11ec24341990c4d8dbfee8f94b by Jason R. Coombs in branch '3.9':
[3.9] bpo-37741: make importlib.metadata docs discoverable through a module directive. (GH-25415) (GH-26500)
https://github.com/python/cpython/commit/17b916737bd05a11ec24341990c4d8dbfee8f94b
History
Date User Action Args
2021-06-27 22:05:30jaracosetmessages: + msg396607
2021-06-03 00:31:03jaracosetpull_requests: + pull_request25096
2021-05-19 21:07:03jaracosetmessages: + msg393975
2021-04-15 01:08:24miss-islingtonsetmessages: + msg391117
2021-04-15 00:59:56barrysetstatus: open -> closed
resolution: fixed
messages: + msg391116

stage: patch review -> resolved
2021-04-15 00:58:09miss-islingtonsetpull_requests: + pull_request24149
2021-04-15 00:57:52miss-islingtonsetpull_requests: + pull_request24148
2021-04-15 00:56:51miss-islingtonsetnosy: + miss-islington
messages: + msg391115
2021-04-14 23:29:08jaracosetpull_requests: + pull_request24147
2021-04-14 21:25:18barrysetmessages: + msg391102
2021-04-14 20:45:49brett.cannonsetmessages: + msg391097
2021-03-15 12:04:22hroncoksetnosy: + hroncok
messages: + msg388729
2020-10-19 18:38:48barrysetversions: + Python 3.10
2019-08-07 01:36:03miss-islingtonsetpull_requests: + pull_request14889
2019-08-06 22:44:34barrysetkeywords: + patch
stage: patch review
pull_requests: + pull_request14887
2019-08-06 22:04:22barrysetmessages: + msg349137
2019-08-06 21:07:42brett.cannonsetmessages: + msg349134
2019-08-05 23:20:31jaracosetmessages: + msg349090
2019-08-05 18:25:39barrysetmessages: + msg349063
2019-08-05 18:21:33xtreaksetnosy: + xtreak
messages: + msg349062
2019-08-05 17:25:49barrysetassignee: docs@python -> barry
messages: + msg349060
2019-08-01 19:51:49fdrakesetnosy: + fdrake
messages: + msg348874
2019-08-01 18:47:05brett.cannoncreate